#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	qpdf
Version		:	11.9.1
Release		:	17.2.0.rel%{?dist}
Summary		:	Command-line tools and library for transforming PDF files
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Apache
URL		:	http://qpdf.sourceforge.net
			#https://github.com/qpdf/qpdf/releases

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	libjpeg-turbo-devel
BuildRequires	:	libxslt
BuildRequires	:	perl

Requires	:       %{name}-libs	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description
QPDF is a command-line program that does structural, content-preserving
transformations on PDF files. It could have been called something
like pdf-to-pdf. It includes support for merging and splitting PDFs
and to manipulate the list of pages in a PDF file. It is not a PDF
viewer or a program capable of converting PDF into other formats.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc LICENSE.txt README.md
%{_bindir}/fix-qdf
%{_bindir}/%{name}
%{_bindir}/zlib-flate
%{_mandir}/man1/*.1.gz

#=============================================================================
%package		libs

Summary		:	QPDF library for transforming PDF files

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		libs
QPDF is a C++ library that inspect and manipulate
the structure of PDF files.
It can encrypt and linearize files, expose the
internals of a PDF file, and do many other
operations useful to PDF developers.

#-----------------------------------------------------------------------------
%files			libs
%defattr(-,root,root, -)
%{_libdir}/lib%{name}.so.29*

#=============================================================================
%package		devel

Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name}-libs	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Header files and libraries necessary
for developing programs using the QPDF library.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root, -)
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/*.hh
%{_libdir}/cmake/%{name}/*.cmake
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

#=============================================================================
%package		doc

Summary		:	QPDF Manual

#-----------------------------------------------------------------------------
BuildArch	:	noarch

BuildRequires	:	unzip

Requires	:       %{name}-libs = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		doc
QPDF Manual

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root, -)
%{_defaultdocdir}/%{name}-%{version}/README-doc.txt
%{_defaultdocdir}/%{name}-%{version}/examples/extend-c-api.*
%{_defaultdocdir}/%{name}-%{version}/examples/extend-*.cc
%{_defaultdocdir}/%{name}-%{version}/examples/pdf-*.c
%{_defaultdocdir}/%{name}-%{version}/examples/pdf-*.cc
%{_defaultdocdir}/%{name}-%{version}/examples/qpdf-job.cc
%{_defaultdocdir}/%{name}-%{version}/examples/qpdfjob-*.c
%{_defaultdocdir}/%{name}-%{version}/examples/qpdfjob-*.cc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake 							\
	-B _bld						\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_BUILD_TYPE=Release			\
	-D BUILD_STATIC_LIBS=OFF			\
	-D CMAKE_INSTALL_DOCDIR=%{_defaultdocdir}/%{name}-%{version}

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	-C _bld						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__make}						\
	-C _bld						\
	test

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	-C _bld						\
	install

#-----------------------------------------------------------------------------
%changelog
